net.minecraft.tileentity

## Class TileEntitySkull

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntitySkull

-     public class TileEntitySkull
      extends TileEntity

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntitySkull()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_82119_b()`
    `Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
    `String` | `getExtraType()` Get the extra data foor this skull, used as player username by player heads
    `int` | `getSkullType()` Get the entity type for the skull
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
    `void` | `setSkullRotation(int par1)` Set the skull's rotation
    `void` | `setSkullType(int par1, String par2Str)` Set the entity type for the skull
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, updateEntity, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntitySkull

          public TileEntitySkull()

  - ### Method Detail

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      Writes a tile entity to NBT.
      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      Reads a tile entity from NBT.
      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### getDescriptionPacket

          public Packet getDescriptionPacket()

      Overriden in a sign to provide the text.
      Overrides:
        `getDescriptionPacket` in class `TileEntity`

    - #### setSkullType

          public void setSkullType(int par1,
                          String par2Str)

      Set the entity type for the skull

    - #### getSkullType

          public int getSkullType()

      Get the entity type for the skull

    - #### setSkullRotation

          public void setSkullRotation(int par1)

      Set the skull's rotation

    - #### func_82119_b

          public int func_82119_b()

    - #### getExtraType

          public String getExtraType()

      Get the extra data foor this skull, used as player username by player heads